TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

{} ( string S, list poss ) -> string

### Syntax

<string>{[pos1,pos2,...]}

### Description

<shortdoc> Return a substring of `S' consisting of all of the characters named by their positions in `poss'.
Note: Each position in `poss' must be in the scope of `S'. </shortdoc>

### Examples

s:="foo not bar"; s{[5..7]};
s:="foo not bar"; s{[2,5,7,6]};

### See also

[] ( string, elt-ord^rat ) -> char
{} ( list, list ) -> list

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack